Skip to main content
GET
/
v1
/
templates
/
{template_id}
Get Template
curl --request GET \
  --url https://api.example.com/v1/templates/{template_id}
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "type": "<string>",
  "format": "<string>",
  "width": 123,
  "height": 123,
  "canvas_data": {},
  "composition_html": "<string>",
  "placeholders": [
    {}
  ],
  "is_published": true,
  "current_version": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "video_strategy": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://acme-3f0e8fe2.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string | null

Path Parameters

template_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
project_id
string<uuid>
required
org_id
string<uuid>
required
name
string
required
type
string
required
format
string
required
width
integer
required
height
integer
required
canvas_data
Canvas Data · object
required
composition_html
string | null
required
placeholders
Placeholders · object[]
required
is_published
boolean
required
current_version
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
video_strategy
string | null